NTPWAIT(8)

NAME
ntpwait - wait for ntpd to stabilize the system clock

SYNOPSIS

ntpwait [-vV] [-n number] [-s secs]

DESCRIPTION

The ntpwait program blocks until ntpd is in synchronized state. This can be useful at boot time, to delay the boot sequence until after "ntpd -g" has set the time.

ntpwait will send at most number queries to ntpd(8), sleeping for secs seconds after each status return that says ntpd(8) has not yet produced a synchronized and stable system clock.

ntpwait will do this quietly, unless the -v flag is provided.

OPTIONS

-n number, --tries=number
    Number of times to check ntpd. This option takes an integer number as its argument. The default number for this option is: 100.

    The maximum number of times we will check ntpd to see if it has been able to synchronize and stabilize the system clock.

-s secs-between-tries, --sleep=secs-between-tries
    How long to sleep between tries. This option takes an integer number as its argument. The default secs-between-tries for this option is: 6.

    We will sleep for secs-between-tries after each query of ntpd that returns "the time is not yet stable".

-v, --verbose
    Be verbose.

    By default, ntpwait is silent. With this option, ntpwait will provide status information, including time to synchronization in seconds.

-V, --version
    Print the version string and exit.

EXIT STATUS

One of the following exit values will be returned:

0
    Successful program execution.

1
    The operation failed or the command syntax was not valid.

2
    Operation was interrupted by signal.